Bug 805543 - grinder does not re-fetch treeinfo files if already synced
grinder does not re-fetch treeinfo files if already synced
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 34
Assigned To: Pradeep Kilambi
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 10:47 EDT by Pradeep Kilambi
Modified: 2013-09-09 12:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-25 10:15:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kilambi 2012-03-21 10:47:13 EDT
Description of problem:

treeinfo files fetched via grinder dont have checksum and siZe info to validate. So only check grinder does is to see if it exists on file system and if so skip.

Need to add a flag to fetch call in grinder to override this functionality so we can force fetch treeinfo files.
Comment 1 Pradeep Kilambi 2012-03-21 13:12:59 EDT
commit 4d52dd4d400173ecc56cfe7c3b98dc235991f6e3
Author: Pradeep Kilambi <pkilambi@redhat.com>
Date:   Wed Mar 21 12:51:42 2012 -0400

    805543 - adding an optional arg to force fetch files; this is useful for files like treeinfo that dont have checksum/size info for validation

The fix is in grinder-0.0.142-1
Comment 2 Jeff Ortel 2012-04-12 18:59:16 EDT
build: 0.282
Comment 3 Preethi Thomas 2012-04-20 15:20:55 EDT
verified
[root@pulp-v1-1-server os]# rpm -q pulp
pulp-1.1.3-1.fc16.noarch

After syncing changed the treeinfo file
re synced the repo and treeinfo is re synced.
Comment 4 Preethi Thomas 2012-05-25 10:15:58 EDT
Pulp v1.1 Release

Note You need to log in before you can comment on or make changes to this bug.